> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wire Testing

The [`/wire`](/reference/wire) can be used in the Sandbox environment to send test transactions. [Wire transfers](/reference/wire) submitted for amounts up to \$50,000 will move through the normal [wire workflow](/reference/wire#workflow), eventually ending with status `sent`. You can simulate other statuses that may arise in Production use cases by manipulating the `account_number` used in the API call.

## Trigger an Error Status

To trigger an `error` status for a [Wire](/reference/wire) object, create a wire with a counterparty whose `account_number` begins with a 9. These wires will be in state `pending` when you submit them, but later they will be assigned an `error` status and the `error` field will be set.

##### Example Counterparty Object that will result in a simulated wire error

<CodeGroup>
  ```bash bash theme={null}
  curl -u $API_KEY_ID:$API_SECRET_KEY https://api.sandbox.treasuryprime.com/counterparty \
    -H 'Content-Type: application/json' \
    -d '{
          "name_on_account": "Paul Bunyun",
          "wire": {
            "account_number": "91234567",
            "account_type": "checking",
            "routing_number": "021001208",
            "address_on_account": {
              "street_line_1": "888 Rainy Lane",
              "street_line_2": null,
              "city": "Seattle",
              "state": "WA",
              "postal_code": "98102"
            },
            "bank_address": {
              "street_line_1": "123 Cherry Street",
              "street_line_2": null,
              "city": "Duluth",
              "state": "MN",
              "postal_code": "55812"
            },
            "bank_name": "Bank of the Lakes"
          }
        }'
  ```
</CodeGroup>
